#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	telepathy-glib
Version		:	0.24.2
Release		:	14.4.0.0%{?dist}
Summary		:	GLib bindings for Telepathy
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://telepathy.freedesktop.org/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	dbus-glib-devel
Buildrequires	:	gtk-doc
Buildrequires	:	libxslt
Buildrequires	:	gobject-introspection
Buildrequires	:	vala
#-----------------------------------------------------------------------------
%description
'%{name}' is the glib bindings for the telepathy unified
framework for all forms of real time conversations, including
instant messaging, IRC, voice calls and video calls.


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build


autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-vala-bindings 				\
	--enable-shared					\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-, root,root, -)
%doc AUTHORS COPYING NEWS README
%{_includedir}/%{sname}-1.0/%{name}/*.h
%{_includedir}/%{sname}-1.0/%{name}/_gen/*.h
%{_libdir}/lib%{name}.so*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gir-1.0/*.gir
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/vala/vapi/%{name}.{deps,vapi}

%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

%changelog
